---
layout: commands
page_title: 'Commands: Troubleshoot'
description: >-
  The `consul troubleshoot` command provides tools to troubleshoot Consul's service mesh configuration.
---

# Consul Troubleshooting

Command: `consul troubleshoot`

Use the `troubleshoot` command to diagnose Consul service mesh configuration or network issues. For additional information about using the `troubleshoot` command, including explanations, requirements, usage instructions, refer to the [service-to-service troubleshooting overview](/consul/docs/troubleshoot/troubleshoot-services).

## Usage

```text
Usage: consul troubleshoot <subcommand> [options]

  # ...

Subcommands:

    proxy        Troubleshoots service mesh issues from the current Envoy instance
    upstreams    Gets upstream Envoy identifiers and IPs configured for the proxy
    ports        Prints open and closed ports on the Consul server.
```

For more information, examples, and usage about a subcommand, click on the name
of the subcommand in the sidebar or one of the links below:

- [proxy](/consul/commands/troubleshoot/proxy)
- [upstreams](/consul/commands/troubleshoot/upstreams)
- [ports](/consul/commands/troubleshoot/ports)
